Constants (softwaregateway-client 2.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.vremanagement.softwaregateway.client

## Class Constants

- java.lang.Object
- - org.gcube.vremanagement.softwaregateway.client.Constants

-     public class Constants
      extends Object

  Author:
    Roberto Cirillo (ISTI -CNR)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAMESPACE_ACCESS`
    `static String` | `NAMESPACE_REGISTRATION`
    `static String` | `PORT_TYPE_NAME_ACCESS`
    `static String` | `PORT_TYPE_NAME_REGISTRATION`
    `static String` | `porttypeAccessLocalName`
    `static String` | `porttypeRegistrationLocalName`
    `static String` | `SERVICE_CLASS`
    `static String` | `SERVICE_NAME`
    `static String` | `serviceAccessLocalName`
    `static QName` | `serviceAccessName`
    `static String` | `serviceAccessNS`
    `static String` | `serviceRegistrationLocalName`
    `static QName` | `serviceRegistrationName`
    `static String` | `serviceRegistrationNS`
    `static org.gcube.common.clients.stubs.jaxws.GCoreService<SGAccessServiceJAXWSStubs>` | `sg_access`
    `static org.gcube.common.clients.stubs.jaxws.GCoreService<SGRegistrationServiceJAXWSStubs>` | `sg_registration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SERVICE_CLASS

          public static final String SERVICE_CLASS

      See Also:
        Constant Field Values

    - #### SERVICE_NAME

          public static final String SERVICE_NAME

      See Also:
        Constant Field Values

    - #### NAMESPACE_ACCESS

          public static final String NAMESPACE_ACCESS

      See Also:
        Constant Field Values

    - #### PORT_TYPE_NAME_ACCESS

          public static final String PORT_TYPE_NAME_ACCESS

      See Also:
        Constant Field Values

    - #### NAMESPACE_REGISTRATION

          public static final String NAMESPACE_REGISTRATION

      See Also:
        Constant Field Values

    - #### PORT_TYPE_NAME_REGISTRATION

          public static final String PORT_TYPE_NAME_REGISTRATION

      See Also:
        Constant Field Values

    - #### serviceAccessNS

          public static final String serviceAccessNS

      See Also:
        Constant Field Values

    - #### serviceAccessLocalName

          public static final String serviceAccessLocalName

      See Also:
        Constant Field Values

    - #### serviceAccessName

          public static final QName serviceAccessName

    - #### serviceRegistrationNS

          public static final String serviceRegistrationNS

      See Also:
        Constant Field Values

    - #### serviceRegistrationLocalName

          public static final String serviceRegistrationLocalName

      See Also:
        Constant Field Values

    - #### serviceRegistrationName

          public static final QName serviceRegistrationName

    - #### porttypeAccessLocalName

          public static final String porttypeAccessLocalName

      See Also:
        Constant Field Values

    - #### porttypeRegistrationLocalName

          public static final String porttypeRegistrationLocalName

      See Also:
        Constant Field Values

    - #### sg_access

          public static final org.gcube.common.clients.stubs.jaxws.GCoreService<SGAccessServiceJAXWSStubs> sg_access

    - #### sg_registration

          public static final org.gcube.common.clients.stubs.jaxws.GCoreService<SGRegistrationServiceJAXWSStubs> sg_registration

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2015. All Rights Reserved.